MAC-PIX
1
BRL-CAD
BRL-CAD

# mac-pix

convert Apple MacPaint bitmap into pix(5) or bw(5) raster image

      mac-pix
        -clb
        -s squareMacSize
        -w Mac_width
        -n Mac_height
        -x Mac_xoff
        -y Mac_yoff
        -X output_xoff
        -Y output_yoff
        -S squareOutputSize
        -W output_width
        -N output_height
        -C r/g/b
        file.mac

## DESCRIPTION

Mac-pix reads an Apple MacIntosh MacPaint bitmap file and generates a pix 5 or bw 5 raster image file. While the MacPaint file is 720x576 pixels, it is possible to specify an alternate size input file with the `-s` `-w` and `-n` flags; the usefulness of this is unknown. By default, the output pix 5 file is 1024x1024 pixels, with the input image located in the lower left corner of the output (nearest the origin). The default color for an "on" pixel is white (R=G=B=255); alternatively, the `-C r/g/b` flag can be used to specify intensities for each of the colors, in the range of [0..255]. The `-b` flag will output a bw 5 black and white file instead. By specifying the `-c` flag, the input image is centered in the middle of the output image. By specifying the `-l` flag, the default output size is changed to 512x512. Alternatively, the `-S` flag can be used to specify the square output size, or `-W` and `-N` flags can be used to specify the output width and height. If no input file is specified, standard input is read instead.

## EXAMPLES

Especially pleasing displays of MacPaint documents can be made by using pixmerge 1 to combine them with the output of pixbackgnd 1: pixbackgnd -h 160 200 > bg.pix mac-pix -c file.mac | pixmerge - bg.pix | pix-fb

## SEE ALSO

brlcad 1, pixmerge 1, pix 5, bw 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1989-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.